Bug 655861 - qemu crashing while formating disk
qemu crashing while formating disk
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-22 09:58 EST by Zdenek Kabelac
Modified: 2013-01-09 18:22 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 08:16:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2010-11-22 09:58:37 EST
Description of problem:

crashed while inside the kvm guest OS tried to format NTFS partition.

(gdb) bt
#0  0x00007fd5a596f085 in raise () from /lib64/libc-2.12.90.so
#1  0x00007fd5a5970a36 in abort () from /lib64/libc-2.12.90.so
#2  0x00007fd5a59678c5 in __assert_fail () from /lib64/libc-2.12.90.so
#3  0x000000000043d997 in raw_aio_writev (bs=0x124a800, sector_num=10321681, qiov=0x7fd59c034b28, nb_sectors=8, cb=0x7fd5a0b95700, opaque=0x7fd5a5a9d2d4) at block/raw.c:130
#4  0x0000000000439582 in bdrv_aio_writev (bs=0x124a800, sector_num=10321681, qiov=<value optimized out>, nb_sectors=8, cb=0x556520 <dma_bdrv_cb>, opaque=<value optimized out>) at block.c:2020
#5  0x0000000000556675 in dma_bdrv_cb (opaque=0x7fd59c034ad0, ret=<value optimized out>) at /usr/src/debug/qemu-kvm-0.13.0/dma-helpers.c:120
#6  0x0000000000556764 in dma_bdrv_io (bs=0x124a800, sg=0x16d6590, sector_num=10321681, cb=<value optimized out>, opaque=<value optimized out>, is_write=1)
    at /usr/src/debug/qemu-kvm-0.13.0/dma-helpers.c:167
#7  0x00000000005504d5 in ide_write_dma_cb (opaque=0x16d6ff0, ret=<value optimized out>) at /usr/src/debug/qemu-kvm-0.13.0/hw/ide/core.c:748
#8  0x00000000005523f3 in bmdma_cmd_writeb (opaque=0x16d6ff0, addr=<value optimized out>, val=1) at /usr/src/debug/qemu-kvm-0.13.0/hw/ide/pci.c:51
#9  0x0000000000429aaf in kvm_handle_io (count=1, size=<value optimized out>, direction=257, data=<value optimized out>, port=49152) at /usr/src/debug/qemu-kvm-0.13.0/kvm-all.c:760
#10 kvm_run (env=0x126cbd0) at /usr/src/debug/qemu-kvm-0.13.0/qemu-kvm.c:645
#11 0x000000000042a529 in kvm_cpu_exec (env=<value optimized out>) at /usr/src/debug/qemu-kvm-0.13.0/qemu-kvm.c:1238
#12 0x000000000042a769 in kvm_main_loop_cpu (env=0x126cbd0) at /usr/src/debug/qemu-kvm-0.13.0/qemu-kvm.c:1495
#13 ap_main_loop (_env=0x126cbd0) at /usr/src/debug/qemu-kvm-0.13.0/qemu-kvm.c:1541
#14 0x00007fd5a9566d5b in start_thread () from /lib64/libpthread-2.12.90.so
#15 0x00007fd5a5a1faad in clone () from /lib64/libc-2.12.90.so

-------------------------  same with full --------------

(gdb) bt full
#0  0x00007fd5a596f085 in raise () from /lib64/libc-2.12.90.so
No symbol table info available.
#1  0x00007fd5a5970a36 in abort () from /lib64/libc-2.12.90.so
No symbol table info available.
#2  0x00007fd5a59678c5 in __assert_fail () from /lib64/libc-2.12.90.so
No symbol table info available.
#3  0x000000000043d997 in raw_aio_writev (bs=0x124a800, sector_num=10321681, qiov=0x7fd59c034b28, nb_sectors=8, cb=0x7fd5a0b95700, opaque=0x7fd5a5a9d2d4) at block/raw.c:130
        first_buf = <value optimized out>
        first_buf_index = 0
        i = <value optimized out>
        __PRETTY_FUNCTION__ = "raw_aio_writev"
#4  0x0000000000439582 in bdrv_aio_writev (bs=0x124a800, sector_num=10321681, qiov=<value optimized out>, nb_sectors=8, cb=0x556520 <dma_bdrv_cb>, opaque=<value optimized out>) at block.c:2020
        drv = 0x862e00
        ret = <value optimized out>
#5  0x0000000000556675 in dma_bdrv_cb (opaque=0x7fd59c034ad0, ret=<value optimized out>) at /usr/src/debug/qemu-kvm-0.13.0/dma-helpers.c:120
        dbs = 0x7fd59c034ad0
        cur_addr = <value optimized out>
        cur_len = 3792
        mem = <value optimized out>
#6  0x0000000000556764 in dma_bdrv_io (bs=0x124a800, sg=0x16d6590, sector_num=10321681, cb=<value optimized out>, opaque=<value optimized out>, is_write=1)
    at /usr/src/debug/qemu-kvm-0.13.0/dma-helpers.c:167
        dbs = 0x7fd59c034ad0
#7  0x00000000005504d5 in ide_write_dma_cb (opaque=0x16d6ff0, ret=<value optimized out>) at /usr/src/debug/qemu-kvm-0.13.0/hw/ide/core.c:748
        bm = 0x16d6ff0
        s = <value optimized out>
        n = <value optimized out>
        sector_num = 10321681
#8  0x00000000005523f3 in bmdma_cmd_writeb (opaque=0x16d6ff0, addr=<value optimized out>, val=1) at /usr/src/debug/qemu-kvm-0.13.0/hw/ide/pci.c:51
        bm = 0x16d6ff0
#9  0x0000000000429aaf in kvm_handle_io (count=1, size=<value optimized out>, direction=257, data=<value optimized out>, port=49152) at /usr/src/debug/qemu-kvm-0.13.0/kvm-all.c:760
        i = <value optimized out>
        ptr = <value optimized out>
#10 kvm_run (env=0x126cbd0) at /usr/src/debug/qemu-kvm-0.13.0/qemu-kvm.c:645
        r = <value optimized out>
        kvm = 0x1236c48
        run = 0x7fd5a9b9b000
        fd = 12
#11 0x000000000042a529 in kvm_cpu_exec (env=<value optimized out>) at /usr/src/debug/qemu-kvm-0.13.0/qemu-kvm.c:1238
        r = <value optimized out>
#12 0x000000000042a769 in kvm_main_loop_cpu (env=0x126cbd0) at /usr/src/debug/qemu-kvm-0.13.0/qemu-kvm.c:1495
---Type <return> to continue, or q <return> to quit---
        run_cpu = <value optimized out>
#13 ap_main_loop (_env=0x126cbd0) at /usr/src/debug/qemu-kvm-0.13.0/qemu-kvm.c:1541
        env = 0x126cbd0
        signals = {__val = {18446744067267100671, 18446744073709551615 <repeats 15 times>}}
        data = <value optimized out>
#14 0x00007fd5a9566d5b in start_thread () from /lib64/libpthread-2.12.90.so
No symbol table info available.
#15 0x00007fd5a5a1faad in clone () from /lib64/libc-2.12.90.so
No symbol table info available.


Version-Release number of selected component (if applicable):
qemu-0.13.0-0.5.20100809git25fdf4a.fc15.x86_64

How reproducible:


Steps to Reproduce:
1. extended raw image
2. tried from virtual machine to use newly available space and format new partition
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Justin M. Forbes 2011-04-25 13:07:49 EDT
Is this still happening in qemu-0.13 final?  Does it happen in qemu-0.14 which is currently in Fedora 15?
Comment 2 Fedora Admin XMLRPC Client 2012-03-15 13:58:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.